# WAXPEER API | BUY/SELL/TRADE Items via P2P system

> Connect CS:GO/Rust instant withdraws and deposits to your website using WAXPEER. Our customers can sell Steam items, and you can use the API to buy skins to any Steam trade url and get a delivery report.

Version 2.2.9. Base URL: `https://api.waxpeer.com`.

You can also find the trade websocket documentation [here](/websocket.md).

Don't forget to open the schemas for more information about the parameters (status, message, price etc.).

## Authentication

Pass your key as the query parameter `api`. This is not a Bearer token.

Get a key at https://waxpeer.com/profile/user

## Prices

Item price (1000 = 1$).

## Methods

- [GET /v1/user](/api/user/user.md) — Provides user data
- [POST /v1/user](/api/user/user-post.md) — Create a new user and obtain a unique API key or get an API key from an already created account without Steam OAuth
- [POST /v1/user/steam-token](/api/user/steam-token.md) — Temporary set Steam access token for user (Required for online)
- [POST /v1/my-history](/api/user/my-history.md) — Your trades and transactions history
- [GET /v1/prices](/api/buy-items/prices.md) — Fetch all unique items and their min price and count
- [GET /v1/prices/dopplers](/api/buy-items/prices-dopplers.md) — Fetch all dopplers phases by filters
- [GET /v1/prices/snapshot](/api/buy-items/prices-snapshot.md) — Fetch all items listed on WAXPEER (large response size)
- [GET /v1/check-many-project-id](/api/buy-items/check-many-project-id.md) — Checking the status of many steam trades by project_id identifier
- [GET /v1/check-many-steam](/api/buy-items/check-many-steam.md) — Checking the status of many steam trades by Waxpeer ids
- [GET /v1/check-availability](/api/buy-items/check-availability.md) — Fetches available item(s) based on the item_id(s) passed in query
- [POST /v1/steam-trade](/api/sell-items/steam-trade.md) — Notification about created tradofer
- [GET /v1/ready-to-transfer-p2p](/api/sell-items/ready-to-transfer-p2p.md) — Fetch trades that need to be sent (Deprecated)
- [GET /v1/check-wss-user](/api/sell-items/check-wss-user.md) — Force p2p status check. Recommended for usage with poor network connections
- [POST /v1/buy](/api/buy-items/buy.md) — Buy items in bulk and send to one tradelink
- [GET /v1/buy-one-p2p](/api/buy-items/buy-one-p2p.md) — Buy items using item_id and send to specific tradelink
- [GET /v1/buy-one-p2p-name](/api/buy-items/buy-one-p2p-name.md) — Buy item by name and send to specific tradelink
- [GET /v1/buy-order-history](/api/buy-order/buy-order-history.md) — Buy order trigger history
- [GET /v1/buy-orders](/api/buy-order/buy-orders.md) — Active buy orders. Sorted by price DESC, if a filter by name is specified
- [GET /v1/buy-orders/snapshot](/api/buy-order/buy-orders-snapshot.md) — Fetch all maximum orders for items
- [POST /v1/create-buy-order](/api/buy-order/create-buy-order.md) — Create a buy order to auto purchase items. Currently independent of the p2p status of the user
- [POST /v1/edit-buy-order](/api/buy-order/edit-buy-order.md) — Edit buy order
- [GET /v1/remove-buy-order](/api/buy-order/remove-buy-order.md) — Remove buy order(s)
- [POST /v1/check-tradelink](/api/buy-items/check-tradelink.md) — Check tradelink validity
- [GET /v1/history](/api/buy-items/history.md) — Get recent purchases by filters
- [POST /v1/change-tradelink](/api/user/change-tradelink.md) — Change your tradelink
- [POST /v1/transfer-money](/api/user/transfer-money.md) — Transfer funds to another user
- [GET /v1/set-my-steamapi](/api/user/set-my-steamapi.md) — Save new Steam API key
- [POST /v1/update-account](/api/user/update-account.md) — Update account settings (tradelink, access token, proxy, steam API, and webhook)
- [POST /v1/force-check-trade](/api/buy-items/force-check-trade.md) — Force check the status of a specific trade
- [GET /v1/get-items-list](/api/steam/get-items-list.md) — Fetches items based on the game you pass as a query
- [GET /v1/fetch-my-inventory](/api/sell-items/fetch-my-inventory.md) — Fetch my inventory
- [GET /v1/get-my-inventory](/api/sell-items/get-my-inventory.md) — Get items that you can list for sale
- [GET /v1/remove-items](/api/sell-items/remove-items.md) — Remove item(s) by item id(s)
- [GET /v1/remove-all-orders](/api/buy-order/remove-all-orders.md) — Remove all buy orders by filters
- [GET /v1/remove-all](/api/sell-items/remove-all.md) — Remove all listings
- [POST /v2/merchant/create-deposit](/api/merchant-deposit/create-deposit.md) — Create merchant deposit
- [POST /v2/merchant/steam-inventory](/api/merchant-deposit/steam-inventory.md) — Fetch user's Steam inventory
- [POST /v2/merchant/create-steam-offer](/api/merchant-deposit/create-steam-offer.md) — Create Steam offer
- [GET /v2/merchant/deposit](/api/merchant-deposit/deposit.md) — Fetch merchant deposit status
- [GET /v2/merchant/deposits](/api/merchant-deposit/deposits.md) — Fetch a list of merchant deposits
- [GET /v2/merchant/webhook](/api/merchant-deposit/webhook.md) — Fetch merchant webhook data
- [POST /v2/merchant/webhook/resend](/api/merchant-deposit/webhook-resend.md) — Resend merchant webhook
- [GET /v2/merchant/webhooks](/api/merchant-deposit/webhooks.md) — Fetch a list of merchant webhooks
- [GET /v1/get-steam-items](/api/steam/get-steam-items.md) — Fetches recommended item price and other info
- [GET /v1/payment/currencies/trx](/api/payment/currencies-trx.md) — Get current TRX price
- [GET /v1/payment/tron-energy/cost](/api/payment/tron-energy-cost.md) — Get Tron energy cost estimate for an address
- [POST /v1/payment/tron-energy/rent](/api/payment/tron-energy-rent.md) — Rent Tron energy for an address
- [GET /v1/steam-topup](/api/payment/steam-topup.md) — Check the status of a Steam top-up by id or custom_id
- [POST /v1/steam-topup](/api/payment/steam-topup-post.md) — Top up a Steam account wallet, paid from your Waxpeer balance
- [GET /v1/steam-topup/validate](/api/payment/steam-topup-validate.md) — Check whether a Steam login can be topped up
- [POST /v1/mass-info](/api/buy-items/mass-info.md) — Fetch all listings by names
- [GET /v1/list-items-steam](/api/sell-items/list-items-steam.md) — Get listed steam items
- [POST /v1/list-items-steam](/api/sell-items/list-items-steam-post.md) — List steam items from inventory
- [POST /v1/edit-items](/api/sell-items/edit-items.md) — Edit price for listed items
- [GET /v1/search-items-by-name](/api/buy-items/search-items-by-name.md) — Search available items by name(s)
- [GET /v2/search-items-by-name](/api/buy-items/search-items-by-name-v2.md) — Search available items by name(s)

See also: [authentication](/authentication.md), [statuses](/statuses.md), [changelog](/changelog.md), [websocket](/websocket.md).
